set(srcs
    "src/protocols.c"
    "src/mqtt.c"
    "src/date_time.c"
)

idf_component_register(SRCS "${srcs}"
                    INCLUDE_DIRS "include"
                    PRIV_INCLUDE_DIRS "src"
                    PRIV_REQUIRES nvs_flash esp_http_server esp_netif esp_https_ota app_update json mqtt vfs spiffs
                    REQUIRES config api logger)


                